Package org.eclipse.compare.internal

# Class EditionAction

java.lang.Object
org.eclipse.compare.internal.BaseCompareAction
org.eclipse.compare.internal.EditionAction

All Implemented Interfaces:
  `IActionDelegate`

Direct Known Subclasses:
  `CompareWithEditionAction`, `ReplaceWithEditionAction`, `ReplaceWithPreviousEditionAction`

public class EditionAction extends BaseCompareAction

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`fHelpContextId`
`protected boolean`
`fPrevious`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isEnabled(ISelection selection)`
`protected void`
`run(ISelection selection)`

### Methods inherited from class org.eclipse.compare.internal.BaseCompareAction

`run, selectionChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fPrevious

protected boolean fPrevious

### fHelpContextId

protected String fHelpContextId

## Method Details

### isEnabled

protected boolean isEnabled(ISelection selection)

Overrides:
  `isEnabled` in class `BaseCompareAction`

### run

protected void run(ISelection selection)

Specified by:
  `run` in class `BaseCompareAction`